Bug 47672 - Invalid error CS0314
Summary: Invalid error CS0314
Status: RESOLVED FIXED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: unspecified
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2016-11-22 21:44 UTC by Jonathan Chambers
Modified: 2017-01-11 19:23 UTC (History)
1 user (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Repro file (1.37 KB, text/plain)
2016-11-22 21:44 UTC, Jonathan Chambers
Details

Description Jonathan Chambers 2016-11-22 21:44:39 UTC
Created attachment 18603 [details]
Repro file

Attempt to compile code in repro project.

.Net Compiles fine

Recent Mono C# Compiler:
Program.cs(18,57): error CS0314: The type `TVector' cannot be used as type param
eter `TVector' in the generic type or method `IBezier<TVector>'. There is no box
ing or type parameter conversion from `TVector' to `IVector<TVector>'
Program.cs(46,26): (Location of the symbol related to previous error)
Compilation failed: 1 error(s), 0 warnings

See attached file
Comment 1 Marek Safar 2017-01-11 19:23:05 UTC
Fixed in master

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.